Create SMTP server

POST
/api/v2/smtp-servers

Creates a new SMTP server configuration. Returns the newly created SMTP server.

AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'

In: header

Request Body

application/json

The SMTP server configuration to create.

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/smtp-servers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "fromName": "string",    "hostName": "string",    "smtpPort": 0  }'
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "fromAddress": "string",    "fromName": "string",    "emailPrefix": "string",    "hostName": "string",    "smtpPort": 0,    "ssl": true,    "userName": "string",    "createdDate": "2019-08-24T14:15:22Z",    "modifiedDate": "2019-08-24T14:15:22Z",    "delayBetweenEmails": 0,    "testEmail": "string"  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}